package com.kingdee.eas.custom.integration.feishu;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractFeishuI18nResourcesEntryInfo extends com.kingdee.eas.framework.CoreBillEntryBaseInfo implements Serializable 
{
    public AbstractFeishuI18nResourcesEntryInfo()
    {
        this("id");
    }
    protected AbstractFeishuI18nResourcesEntryInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 多语言表 's null property 
     */
    public FeishuI18nResourcesInfo getParent()
    {
        return (FeishuI18nResourcesInfo)get("parent");
    }
    public void setParent(FeishuI18nResourcesInfo item)
    {
        put("parent", item);
    }
    /**
     * Object:多语言表's 语言property 
     */
    public com.kingdee.eas.custom.integration.feishu.bizEnum.LocaleEnum getLocale()
    {
        return com.kingdee.eas.custom.integration.feishu.bizEnum.LocaleEnum.getEnum(getString("locale"));
    }
    public void setLocale(com.kingdee.eas.custom.integration.feishu.bizEnum.LocaleEnum item)
    {
		if (item != null) {
        setString("locale", item.getValue());
		}
    }
    /**
     * Object:多语言表's 文本property 
     */
    public String getValue()
    {
        return getString("value");
    }
    public void setValue(String item)
    {
        setString("value", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("63AC65D4");
    }
}